NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::SpecialFormingBuilder Class Reference

Creates special forming insert builder for progressive die. More...

Inheritance diagram for NXOpen::Tooling::SpecialFormingBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BlockType { BlockTypeBoundedBlock, BlockTypeUserDefined }
 the block type More...
 
enum  ParentValue { ParentValuePrjDie, ParentValuePrjDb, ParentValuePrjSub }
 Specifies the main page type. More...
 
enum  PunchOrDie { PunchOrDiePunch, PunchOrDieDie }
 Specifies the main page type. More...
 
enum  Types {
  TypesCreateBasicInsert, TypesExtendCurveAndCreateBox, TypesTrimInsert, TypesModifyInsert,
  TypesDeleteInsert
}
 Specifies the main page type. More...
 

Public Member Functions

NXOpen::NXObjectAddInsertPartIntoAssembly (NXOpen::NXObject *parentPart, const NXString &templatePartName, const NXOpen::Point3d &origin)
 Add insert part into assembly. More...
 
NXOpen::NXObjectAddInsertPartIntoAssembly (NXOpen::NXObject *parentPart, const char *templatePartName, const NXOpen::Point3d &origin)
 Add insert part into assembly. More...
 
void AssignAttributeForSketchFeature (NXOpen::NXObject *sketchFeatureTag)
 Assign attribute for sketch feature. More...
 
void AssignClearance ()
 Assign clearance. More...
 
NXOpen::Tooling::SpecialFormingBuilder::BlockType BoundedBlockOrUserDefined ()
 Returns the bounded block or user defined
Created in NX11.0.0. More...
 
double BoxClearance ()
 Returns the box clearance
Created in NX11.0.0. More...
 
NXOpen::Point3d BoxPosition ()
 Returns the position of csys for box. More...
 
void CalculateBoxSize ()
 Calculate box size and set directions, edge length, lower point position. More...
 
void CreateBoundBox ()
 Create bound box. More...
 
void CreateFormingInsert ()
 Create forming insert
Created in NX11.0.0. More...
 
void CreateOffsetDatumPlaneForSketch ()
 Create offset datum plane for sketch. More...
 
void DeleteSelectedInsert ()
 Delete selected insert. More...
 
void EditBoundBox ()
 Edit bound box. More...
 
void EditExtrudeCurves ()
 Edit extrude curves. More...
 
NXOpen::ExpressionEndLimit ()
 Returns the end limit
Created in NX11.0.0. More...
 
void ExtrudeCurvesToTrueBodyAndFalseBody ()
 Extrude curves to true body and false body. More...
 
double FirstClearance ()
 Returns the first clearance
Created in NX11.0.0. More...
 
NXOpen::Tooling::SpecialFormingBuilder::PunchOrDie InsertType ()
 Returns the insert type
Created in NX11.0.0. More...
 
bool IsEditGuidedExtension ()
 Returns the is edit guided extension
Created in NX11.0.0. More...
 
void MoveObjectsToUndisplayableLayer ()
 Move objects to undisplayable layer. More...
 
bool NeedFirstClearance ()
 Returns the need first clearance
Created in NX11.0.0. More...
 
bool NeedSecondClearance ()
 Returns the need second clearance
Created in NX11.0.0. More...
 
bool NeedThirdClearance ()
 Returns the need third clearance
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeX ()
 Returns the offset value linear dimension negative x
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeY ()
 Returns the offset value linear dimension negative y
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeZ ()
 Returns the offset value linear dimension negative z
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveX ()
 Returns the offset value linear dimension positive x
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveY ()
 Returns the offset value linear dimension positive y
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveZ ()
 Returns the offset value linear dimension positive z
Created in NX11.0.0. More...
 
NXOpen::Tooling::SpecialFormingBuilder::ParentValue Parent ()
 Returns the parent
Created in NX11.0.0. More...
 
bool RenameComponent ()
 Returns the rename component
Created in NX11.0.0. More...
 
double SecondClearance ()
 Returns the second clearance
Created in NX11.0.0. More...
 
NXOpen::SectionSelectCurves ()
 Returns the select curves
Created in NX11.0.0. More...
 
NXOpen::ScCollectorSelectFace ()
 Returns the select face
Created in NX11.0.0. More...
 
NXOpen::SelectBodySelectFormingBlock ()
 Returns the select forming block
Created in NX11.0.0. More...
 
NXOpen::SelectNXObjectListSelectInsertToDelete ()
 Returns the select insert to delete
Created in NX11.0.0. More...
 
NXOpen::SelectBodySelectSheetBody ()
 Returns the select sheet body
Created in NX11.0.0. More...
 
void SetBoundedBlockOrUserDefined (NXOpen::Tooling::SpecialFormingBuilder::BlockType boundedBlockOrUserDefined)
 Sets the bounded block or user defined
Created in NX11.0.0. More...
 
void SetBoxClearance (double boxClearance)
 Sets the box clearance
Created in NX11.0.0. More...
 
void SetBoxMatrixAndPosition (const NXOpen::Matrix3x3 &matrix, const NXOpen::Point3d &position)
 Sets box csys matrix. More...
 
void SetBoxPosition (const NXOpen::Point3d &csysOrigin)
 Sets the position of csys for box. More...
 
void SetEditGuidedExtension (bool isEditGuidedExtension)
 Sets the is edit guided extension
Created in NX11.0.0. More...
 
void SetFirstClearance (double firstClearance)
 Sets the first clearance
Created in NX11.0.0. More...
 
void SetFormingRegion (const std::vector< NXOpen::NXObject * > &faces)
 Set forming region. More...
 
void SetInsertType (NXOpen::Tooling::SpecialFormingBuilder::PunchOrDie insertType)
 Sets the insert type
Created in NX11.0.0. More...
 
void SetNeedFirstClearance (bool needFirstClearance)
 Sets the need first clearance
Created in NX11.0.0. More...
 
void SetNeedSecondClearance (bool needSecondClearance)
 Sets the need second clearance
Created in NX11.0.0. More...
 
void SetNeedThirdClearance (bool needThirdClearance)
 Sets the need third clearance
Created in NX11.0.0. More...
 
void SetParent (NXOpen::Tooling::SpecialFormingBuilder::ParentValue parent)
 Sets the parent
Created in NX11.0.0. More...
 
void SetRenameComponent (bool renameComponent)
 Sets the rename component
Created in NX11.0.0. More...
 
void SetSecondClearance (double secondClearance)
 Sets the second clearance
Created in NX11.0.0. More...
 
void SetThirdClearance (double thirdClearance)
 Sets the third clearance
Created in NX11.0.0. More...
 
void SetType (NXOpen::Tooling::SpecialFormingBuilder::Types type)
 Sets the type
Created in NX11.0.0. More...
 
void SetUseExistingSheetBody (bool useExistingSheetBody)
 Sets the use existing sheet body
Created in NX11.0.0. More...
 
void SetWithoutFalseBody (bool withoutFalseBody)
 Sets the without false body
Created in NX11.0.0. More...
 
void SetWizardType (int wizardType)
 Sets the wizard type
Created in NX11.0.0. More...
 
void SewWaveLinkedFaceAndGuidedExtensionSheet ()
 Sew wave linked face and guided extension sheet. More...
 
NXOpen::ExpressionStartLimit ()
 Returns the start limit
Created in NX11.0.0. More...
 
double ThirdClearance ()
 Returns the third clearance
Created in NX11.0.0. More...
 
void TrimTrueBodyWithSewedSheet ()
 Trim true body with sewed sheet. More...
 
NXOpen::Tooling::SpecialFormingBuilder::Types Type ()
 Returns the type
Created in NX11.0.0. More...
 
bool UseExistingSheetBody ()
 Returns the use existing sheet body
Created in NX11.0.0. More...
 
void WaveFormingRegion ()
 Wave forming region. More...
 
bool WithoutFalseBody ()
 Returns the without false body
Created in NX11.0.0. More...
 
int WizardType ()
 Returns the wizard type
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Creates special forming insert builder for progressive die.

No entity is returned.
To create a new instance of this class, use NXOpen::Tooling::ProgressiveDieManager::CreateSpecialFormingBuilder
Default values.

Property Value

BoundedBlockOrUserDefined

BoundedBlock

BoxClearance

0

EndLimit.Value

0 (millimeters part), 0 (inches part)

FirstClearance

0

InsertType

Punch

NeedFirstClearance

0

NeedSecondClearance

0

NeedThirdClearance

0

Parent

PrjDie

RenameComponent

0

SecondClearance

0

StartLimit.Value

0 (millimeters part), 0 (inches part)

ThirdClearance

0

UseExistingSheetBody

0

WithoutFalseBody

0


Created in NX11.0.0.

Member Enumeration Documentation

the block type

Enumerator
BlockTypeBoundedBlock 

bounded block

BlockTypeUserDefined 

user defined

Specifies the main page type.

Enumerator
ParentValuePrjDie 

prj die

ParentValuePrjDb 

prj db

ParentValuePrjSub 

prj sub

Specifies the main page type.

Enumerator
PunchOrDiePunch 

punch

PunchOrDieDie 

die

Specifies the main page type.

Enumerator
TypesCreateBasicInsert 

create basic insert

TypesExtendCurveAndCreateBox 

extend curve and create box

TypesTrimInsert 

trim insert

TypesModifyInsert 

modify insert

TypesDeleteInsert 

delete insert

Member Function Documentation

NXOpen::NXObject* NXOpen::Tooling::SpecialFormingBuilder::AddInsertPartIntoAssembly ( NXOpen::NXObject parentPart,
const NXString templatePartName,
const NXOpen::Point3d origin 
)

Add insert part into assembly.

Returns

Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
parentPartparentpart
templatePartNametemplatepartname
originorigin
NXOpen::NXObject* NXOpen::Tooling::SpecialFormingBuilder::AddInsertPartIntoAssembly ( NXOpen::NXObject parentPart,
const char *  templatePartName,
const NXOpen::Point3d origin 
)

Add insert part into assembly.

Returns

Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
parentPartparentpart
templatePartNametemplatepartname
originorigin
void NXOpen::Tooling::SpecialFormingBuilder::AssignAttributeForSketchFeature ( NXOpen::NXObject sketchFeatureTag)

Assign attribute for sketch feature.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sketchFeatureTagsketchfeaturetag
void NXOpen::Tooling::SpecialFormingBuilder::AssignClearance ( )

Assign clearance.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Tooling::SpecialFormingBuilder::BlockType NXOpen::Tooling::SpecialFormingBuilder::BoundedBlockOrUserDefined ( )

Returns the bounded block or user defined
Created in NX11.0.0.



License requirements : None

double NXOpen::Tooling::SpecialFormingBuilder::BoxClearance ( )

Returns the box clearance
Created in NX11.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Tooling::SpecialFormingBuilder::BoxPosition ( )

Returns the position of csys for box.


Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::SpecialFormingBuilder::CalculateBoxSize ( )

Calculate box size and set directions, edge length, lower point position.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialFormingBuilder::CreateBoundBox ( )

Create bound box.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialFormingBuilder::CreateFormingInsert ( )

Create forming insert
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialFormingBuilder::CreateOffsetDatumPlaneForSketch ( )

Create offset datum plane for sketch.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialFormingBuilder::DeleteSelectedInsert ( )

Delete selected insert.


Created in NX12.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialFormingBuilder::EditBoundBox ( )

Edit bound box.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::SpecialFormingBuilder::EditExtrudeCurves ( )

Edit extrude curves.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::SpecialFormingBuilder::EndLimit ( )

Returns the end limit
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::SpecialFormingBuilder::ExtrudeCurvesToTrueBodyAndFalseBody ( )

Extrude curves to true body and false body.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Tooling::SpecialFormingBuilder::FirstClearance ( )

Returns the first clearance
Created in NX11.0.0.



License requirements : None

NXOpen::Tooling::SpecialFormingBuilder::PunchOrDie NXOpen::Tooling::SpecialFormingBuilder::InsertType ( )

Returns the insert type
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialFormingBuilder::IsEditGuidedExtension ( )

Returns the is edit guided extension
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::SpecialFormingBuilder::MoveObjectsToUndisplayableLayer ( )

Move objects to undisplayable layer.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::SpecialFormingBuilder::NeedFirstClearance ( )

Returns the need first clearance
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialFormingBuilder::NeedSecondClearance ( )

Returns the need second clearance
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialFormingBuilder::NeedThirdClearance ( )

Returns the need third clearance
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialFormingBuilder::OffsetValueLinearDimensionNegativeX ( )

Returns the offset value linear dimension negative x
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialFormingBuilder::OffsetValueLinearDimensionNegativeY ( )

Returns the offset value linear dimension negative y
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialFormingBuilder::OffsetValueLinearDimensionNegativeZ ( )

Returns the offset value linear dimension negative z
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialFormingBuilder::OffsetValueLinearDimensionPositiveX ( )

Returns the offset value linear dimension positive x
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialFormingBuilder::OffsetValueLinearDimensionPositiveY ( )

Returns the offset value linear dimension positive y
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::SpecialFormingBuilder::OffsetValueLinearDimensionPositiveZ ( )

Returns the offset value linear dimension positive z
Created in NX11.0.0.



License requirements : None

NXOpen::Tooling::SpecialFormingBuilder::ParentValue NXOpen::Tooling::SpecialFormingBuilder::Parent ( )

Returns the parent
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialFormingBuilder::RenameComponent ( )

Returns the rename component
Created in NX11.0.0.



License requirements : None

double NXOpen::Tooling::SpecialFormingBuilder::SecondClearance ( )

Returns the second clearance
Created in NX11.0.0.



License requirements : None

NXOpen::Section* NXOpen::Tooling::SpecialFormingBuilder::SelectCurves ( )

Returns the select curves
Created in NX11.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::SpecialFormingBuilder::SelectFace ( )

Returns the select face
Created in NX11.0.0.



License requirements : None

NXOpen::SelectBody* NXOpen::Tooling::SpecialFormingBuilder::SelectFormingBlock ( )

Returns the select forming block
Created in NX11.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::SpecialFormingBuilder::SelectInsertToDelete ( )

Returns the select insert to delete
Created in NX11.0.0.



License requirements : None

NXOpen::SelectBody* NXOpen::Tooling::SpecialFormingBuilder::SelectSheetBody ( )

Returns the select sheet body
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::SpecialFormingBuilder::SetBoundedBlockOrUserDefined ( NXOpen::Tooling::SpecialFormingBuilder::BlockType  boundedBlockOrUserDefined)

Sets the bounded block or user defined
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
boundedBlockOrUserDefinedboundedblockoruserdefined
void NXOpen::Tooling::SpecialFormingBuilder::SetBoxClearance ( double  boxClearance)

Sets the box clearance
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
boxClearanceboxclearance
void NXOpen::Tooling::SpecialFormingBuilder::SetBoxMatrixAndPosition ( const NXOpen::Matrix3x3 matrix,
const NXOpen::Point3d position 
)

Sets box csys matrix.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
matrixmatrix
positionposition
void NXOpen::Tooling::SpecialFormingBuilder::SetBoxPosition ( const NXOpen::Point3d csysOrigin)

Sets the position of csys for box.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
csysOrigincsysorigin
void NXOpen::Tooling::SpecialFormingBuilder::SetEditGuidedExtension ( bool  isEditGuidedExtension)

Sets the is edit guided extension
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
isEditGuidedExtensioniseditguidedextension
void NXOpen::Tooling::SpecialFormingBuilder::SetFirstClearance ( double  firstClearance)

Sets the first clearance
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
firstClearancefirstclearance
void NXOpen::Tooling::SpecialFormingBuilder::SetFormingRegion ( const std::vector< NXOpen::NXObject * > &  faces)

Set forming region.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
facesfaces
void NXOpen::Tooling::SpecialFormingBuilder::SetInsertType ( NXOpen::Tooling::SpecialFormingBuilder::PunchOrDie  insertType)

Sets the insert type
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
insertTypeinserttype
void NXOpen::Tooling::SpecialFormingBuilder::SetNeedFirstClearance ( bool  needFirstClearance)

Sets the need first clearance
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
needFirstClearanceneedfirstclearance
void NXOpen::Tooling::SpecialFormingBuilder::SetNeedSecondClearance ( bool  needSecondClearance)

Sets the need second clearance
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
needSecondClearanceneedsecondclearance
void NXOpen::Tooling::SpecialFormingBuilder::SetNeedThirdClearance ( bool  needThirdClearance)

Sets the need third clearance
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
needThirdClearanceneedthirdclearance
void NXOpen::Tooling::SpecialFormingBuilder::SetParent ( NXOpen::Tooling::SpecialFormingBuilder::ParentValue  parent)

Sets the parent
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentparent
void NXOpen::Tooling::SpecialFormingBuilder::SetRenameComponent ( bool  renameComponent)

Sets the rename component
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
renameComponentrenamecomponent
void NXOpen::Tooling::SpecialFormingBuilder::SetSecondClearance ( double  secondClearance)

Sets the second clearance
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
secondClearancesecondclearance
void NXOpen::Tooling::SpecialFormingBuilder::SetThirdClearance ( double  thirdClearance)

Sets the third clearance
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
thirdClearancethirdclearance
void NXOpen::Tooling::SpecialFormingBuilder::SetType ( NXOpen::Tooling::SpecialFormingBuilder::Types  type)

Sets the type
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
void NXOpen::Tooling::SpecialFormingBuilder::SetUseExistingSheetBody ( bool  useExistingSheetBody)

Sets the use existing sheet body
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
useExistingSheetBodyuseexistingsheetbody
void NXOpen::Tooling::SpecialFormingBuilder::SetWithoutFalseBody ( bool  withoutFalseBody)

Sets the without false body
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
withoutFalseBodywithoutfalsebody
void NXOpen::Tooling::SpecialFormingBuilder::SetWizardType ( int  wizardType)

Sets the wizard type
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
wizardTypewizardtype
void NXOpen::Tooling::SpecialFormingBuilder::SewWaveLinkedFaceAndGuidedExtensionSheet ( )

Sew wave linked face and guided extension sheet.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::SpecialFormingBuilder::StartLimit ( )

Returns the start limit
Created in NX11.0.0.



License requirements : None

double NXOpen::Tooling::SpecialFormingBuilder::ThirdClearance ( )

Returns the third clearance
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::SpecialFormingBuilder::TrimTrueBodyWithSewedSheet ( )

Trim true body with sewed sheet.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Tooling::SpecialFormingBuilder::Types NXOpen::Tooling::SpecialFormingBuilder::Type ( )

Returns the type
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::SpecialFormingBuilder::UseExistingSheetBody ( )

Returns the use existing sheet body
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::SpecialFormingBuilder::WaveFormingRegion ( )

Wave forming region.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::SpecialFormingBuilder::WithoutFalseBody ( )

Returns the without false body
Created in NX11.0.0.



License requirements : None

int NXOpen::Tooling::SpecialFormingBuilder::WizardType ( )

Returns the wizard type
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.